# Builder

data class Builder (domain: String = Constants.EMPTY, title: String = Constants.EMPTY, group_guid: String = Constants.EMPTY, tags: Array < String > = emptyArray(), deeplinks: Array < Map < String , String >> = emptyArray(), long_url: String = Constants.EMPTY, toJson: Boolean = false)(source)

Configures the creation parameters of a Bitlink.

See the Bit.ly API for more information.

## Constructors

Builder
Link copied to clipboard
constructor(domain: String = Constants.EMPTY, title: String = Constants.EMPTY, group_guid: String = Constants.EMPTY, tags: Array < String > = emptyArray(), deeplinks: Array < Map < String , String >> = emptyArray(), long_url: String = Constants.EMPTY, toJson: Boolean = false)

## Functions

build
Link copied to clipboard
fun build (): CreateConfig
deeplinks
Link copied to clipboard
fun deeplinks (deeplinks: Array < Map < String , String >>): <Error class: unknown class>
domain
Link copied to clipboard
fun domain (domain: String ): <Error class: unknown class>
groupGuid
Link copied to clipboard
fun groupGuid (group_guid: String ): <Error class: unknown class>
longUrl
Link copied to clipboard
fun longUrl (long_url: String ): <Error class: unknown class>
tags
Link copied to clipboard
fun tags (tags: Array < String >): <Error class: unknown class>
title
Link copied to clipboard
fun title (title: String ): <Error class: unknown class>
toJson
Link copied to clipboard
fun toJson (toJson: Boolean ): <Error class: unknown class>